## [2.7.2](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.7.1...v2.7.2) (2025-01-16)


### Bug Fixes

* invalid mime type and data uri separator ([99a96fa](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/99a96fa467811db4459373298184a7fbe3dac9ef)), closes [#86](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/86) [#84](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/84)
* remove verification on T&C issuers to be trusted issuers ([845e0a7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/845e0a777a29da20c0d953d35b67545ce6263d33))
* **signature:** use proper key to validate signature ([574055e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/574055edae7f879296e1e1de1301967be2d41a2a))
* **signature:** use proper key to validate signature ([85535df](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/85535dfef789c9f9e073766c5ed08c080b3e6f26))

## [2.7.1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.7.0...v2.7.1) (2024-12-18)


### Bug Fixes

* wrong repository name for tags ([310f1f6](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/310f1f624673e2ca10a8262ad1d5b472ba4e6dfe))

# [2.7.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.6.0...v2.7.0) (2024-12-18)


### Bug Fixes

* upate compliance doc urls ([bfbb338](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/bfbb3387b2e888ba192e320ec402ab8cf84117a8))


### Features

* arm64 build on top of amd64 ([3987e12](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/3987e12503b7ead3a44d86224215446ed1449627)), closes [gaia-x/lab/compliance/gaia-x-notary-registrationnumber#9](https://gitlab.com/gaia-x/lab/compliance/gaia-x-notary-registrationnumber/issues/9)

# [2.6.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.5.1...v2.6.0) (2024-11-25)


### Bug Fixes

* sanitize quads before insertion into memgraph ([694bf96](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/694bf966088ffda35a9dacfd13e4c95a89bfb9ba))
* vulnerabilities patch ([9e3535f](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/9e3535f2b3b8d4c868aa6edb78a392cf91322b4e))


### Features

* add link to documentation during error handling ([0aaa07d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/0aaa07d2ea6924b12cee6551339ce94558978615))
* harmonise variable names, remove pkcs[#1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/1) support ([2bf707f](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2bf707fce346b813fca21160252fb79a936b24b9))

## [2.5.1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.5.0...v2.5.1) (2024-10-24)


### Bug Fixes

* standard compliance instead of basic conformity ([7fd02be](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7fd02bed74d178df3a0d93203b23ccf943df5796))

# [2.5.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.4.0...v2.5.0) (2024-10-24)


### Bug Fixes

* **LAB-774:** manage special cases in the class hierarchy building process ([44b4efe](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/44b4efe564ee134ef5d971ef62e852829a9b554f))
* shacl validation on service offering ([1aaa86e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1aaa86edf804e590feee565f0a3362c91d320902))


### Features

* **734:** implement criterion P3.1.10 ([c4f8111](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c4f8111d280e393fed8d5cfb9ce29a56b3f96f03))
* adapt output of the compliance engine ([f2c6b21](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/f2c6b2184db167cb93caace6216633b3b0d97141))
* enable bigger payloads ([439ffc2](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/439ffc24283af36255f7748a62d9dbf1e41ee4d8))
* **LAB-760)(LAB-754:** enable verifiable presentation validation service tests, support of multiple contexts versions ([876a5fe](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/876a5fe4bb4e2a71c67f0f1684942fe94aacef6c))
* **LAB-774:** update the Memgraph class hierarchy building process ([091c5d4](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/091c5d496ac54bffad1ebd7ff0d5c87d34149f69))
* make all filter output the criteria validated ([8d85180](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/8d85180a2b694728cd00585a101f28a31f5ddd4f))
* **P1.3.1:** add filter to validate P1.3.1 [LAB-713] ([1dd482d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1dd482d2f1c324155240afc5674c6fde8bc2fb46))
* write shapes and ontology on disk when needed ([d86d840](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/d86d840c643b87991a92cb376e0ed288d0ad139d))

# [2.4.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.3.0...v2.4.0) (2024-09-19)


### Bug Fixes

* jose no longer requires linefeed to be removed ([e2f0be7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e2f0be70656be8fab529e69459818e52ef5ac26f))
* **LAB-721:** fix criterion P2.2.4 conformity level ([20f65a9](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/20f65a90720910e1e11433c68458411a274e7aa6))
* **LAB-737:** fix criterion P3.1.13 ([01eeb18](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/01eeb180edc69a076d685377b746360a4a76cf72))
* **LAB-758:** fix criterion P1.1.5 implementation in the case of missing governing law countries ([45c864f](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/45c864fc17a662e29388f2dab8f032ef36b77049))
* reintegrate certificate registration validation ([e3a190d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e3a190dd2dc25d5d249a4402deee147785bae727))


### Features

* add first prometheus metrics ([2746055](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2746055c1e3e84e37d98a64b867b1d204448d4b0))
* change default doc loader behaviour ([5779cb5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/5779cb5b0a777e72a2c8cee6f0b1ae553e8dbbae))
* finalize p1.2.5 ([2e87184](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2e8718427818922d1a5ec6a1a6ced26e295c468f))
* **LAB-701:** rework criterion P1.1.3 ([231b786](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/231b786f2673928c933e47636e63274f5c541428))
* **LAB-705:** implement criterion P1.2.2 ([37913a3](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/37913a30ba7c8f00733a3bc0e9a2c2f0008d3f7b))
* **LAB-706:** implement criterion P1.2.3 ([b8e41da](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/b8e41da4801b86b66bdc4a4ec4c18fe4b0e61355))
* **LAB-706:** implement criterion P1.2.3 ([880851d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/880851d79fa12a1ab74f71a0390a6338ac71f4e8))
* **LAB-707:** implement criterion P1.2.4 ([80bab5c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/80bab5ca7ca1ca1b059b77e6de77fcf1dde482a2))
* **LAB-709)(LAB-710:** add criterion 1.2.6 & 1.2.7 subcontractors validation ([7119f16](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7119f16086028d9eecb6728ea9e05f9ecfa9506b))
* **LAB-711:** implement criterion P1.2.8 ([748067e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/748067e791d03d80cf15c4265ebf02af1e997bc4))
* **LAB-714:** implement criterion P1.3.2 ([32562d7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/32562d7b9c063720a0f84bdae01cd4c8c7e62f9b))
* **LAB-715:** add criterion P2.1.1 validation ([ba4f77d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ba4f77df13ca1f526e5e3797012e31b16ca3689b))
* **LAB-716:** add criterion P2.1.2 validation ([ef3432b](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ef3432be4e2642c225c6b652a859d0c2ce71cf3a))
* **LAB-717:** add criterion P2.1.3 validation ([9100c47](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/9100c47b7b2b3d432a6849707301e3f444e0c29a))
* **LAB-718:** implement criterion P2.2.1 ([c828ea8](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c828ea854b6fe971d4b291dcd4b6099ed85d9f11))
* **LAB-719:** implement criterion P2.2.2 ([0b97c32](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/0b97c329365374a9b3e051b73d7e60385d0ab81f))
* **LAB-721:** implement criterion P2.2.4 ([77baf36](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/77baf36adcf7f3cef3b7a30233e31bbefab81884))
* **LAB-724:** implement criterion P2.2.7 ([c184c33](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c184c3321ed538c387e0ff5fa982d5547f3144bd))
* **LAB-725:** add criterion P3.1.1 validation ([37c455e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/37c455eecb0e04e20e06b50e3d7797cf960db849))
* **LAB-726:** implement criterion P3.1.2 ([157578e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/157578ea13ebd870d248a3d5368c94d6e36556e2))
* **LAB-727:** implement criterion P3.1.3 ([87598c9](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/87598c91f0385f54fc030511355af7fb3b473561))
* **LAB-728:** implement criterion P3.1.4 ([3324479](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/332447907dc668ae77aa0a64bc10c0dc34c4d8df))
* **LAB-729:** implement criterion P3.1.5 ([6cd48ad](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/6cd48adcfab0adfe2d5018d957fe79c49c5b0545))
* **LAB-730:** implement criterion P3.1.6 ([1db524d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1db524dda6b2bbb27e27bce4ae2df27a42582c30))
* **LAB-731:** add criterion P3.1.7 validation ([bea0cd1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/bea0cd1baffd92586ada439dfa33adaab13f70d7))
* **LAB-732:** add criterion P3.1.8 validation ([80ba3d7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/80ba3d76b10d6f69988601e5ee39d93aed09711c))
* **LAB-733:** implement criterion P3.1.9 ([5d056f0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/5d056f0cb6b51cbf17f070801fc072bfd72b4677))
* **LAB-735:** implement criterion P3.1.11 ([712ef68](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/712ef68a72c6949718ef1a49482dd8e7fa37c294))
* **LAB-736:** add criterion P3.1.12 validation ([747e6af](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/747e6af0d71ae8c6165e296490f2d8da39e7273d))
* **LAB-737:** implement criterion P3.1.13 ([6c91e15](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/6c91e155cc2411dd60a95ec3225e3ffdc0015a5e))
* **LAB-738:** implement criterion P3.1.14 ([cfc2d08](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/cfc2d08cb6e6cd09c497ca0b56436ec7be2b8b70))
* **LAB-739:** implement criterion P3.1.15 ([8163864](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/816386472946095e112871ae9e3efe63a8ba8720))
* **LAB-740:** implement criterion P3.1.16 ([4e1ef5e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/4e1ef5e435f402eaedd506ff3c4bc7decb77fb4a))
* **LAB-741:** implement criterion P3.1.17 ([6dd2a7e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/6dd2a7e82e1f2893fdc40e20ee269deaa0b0234d))
* **LAB-742:** implement criterion P3.1.18 ([2063fac](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2063fac120da801700ee11d968a02658d5a132ae))
* **LAB-743:** implement criterion P3.1.19 ([765ee92](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/765ee92bafc0b6402ed38839464d57ed46670490))
* **LAB-744:** implement criterion P3.1.20 ([59186f0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/59186f006d9f697455f635bc60435e9a24f3312b))
* **LAB-745:** implement criterion P4.1.1 & P4.1.2 ([19d161e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/19d161e5621b63a33d2214527a8616662d4b442f))
* **LAB-747:** add criterion P5.2.1 validation ([f0cb24f](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/f0cb24f02b4a14a0853b9f491b44a7fadd943036))
* **LAB-751:** return an array of error messages in endpoint responses ([cced323](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/cced323b0d1a84278f4efedd7ee9c3c635df4c0a))
* **LAB-753:** add type edges to Memgraph for parent entities ([5931839](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/593183976405d16aa95168b0e58c8fe694c3ddaa))
* **label-1:** add P1.1.3 Criterion verification [LAB-701] ([d3c204c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/d3c204c216b31c0dc0534ad21a2a1b0a0cca397b))
* rely on apache jena for shacl execution ([aab2629](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/aab262950c7e79b5efe5ecfcb342849bd82e6298))
* remove static file writing ([af389f0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/af389f0cb17767fc392817700669744be9a11497))
* specify label impl and fix filters list ([2f7afe9](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2f7afe9dba081359316ad8fc464ad78aa346dcfd))
* use cached context to avoid spamming w3id ([7b02680](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7b026807ce5c33068818239f6888f4ff561e8d79))

# [2.3.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.2.0...v2.3.0) (2024-08-08)


### Bug Fixes

* fixup swagger ui ([053c193](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/053c1936c4dabb6b1bd2f0e6da0b03e4c70d3672))


### Features

* add credentials date validity checks ([7a8a895](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7a8a895b87efc8d8d80b7cbc31c70b27cbac940f))
* allow certificate did validation with x5c ([34e30b0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/34e30b035cbc3ab8365b68f7c1fbd09ee7132003)), closes [#74](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/74)
* implement new compliance rules ([cac79cd](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/cac79cdeaf5f3febb4402f847756cfc6069a6339))
* implement P1.1.2 ([ea18bb1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ea18bb15ae265b9ef8609e88279f2c9d88093c95))
* **LAB-688:** migrate to the new Gaia-X ontology ([efc7530](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/efc753049b0d11cfeeee2152d1eef84bcf82a345))
* **LAB-696:** migrate existing compliance rules to filters ([ea66913](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ea66913c4fe12f6f6d53cdb1e749debed837c736))
* **LAB-697:** implement criterion P1.1.1 ([6b78fca](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/6b78fca7b6fc4f5bef7cdd150029171bf3cb8de8))
* **LAB-699:** separate conformity levels in different endpoints ([1dd88e6](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1dd88e636ef3127f517e3696a15952c1dcae96d9))
* **LAB-702:** implement criterion P1.1.4 ([7b5a375](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7b5a375ec90a7977e9305e765ee167e08471b6e8))
* **LAB-702:** implement criterion P1.1.5 ([64a35ab](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/64a35abf62b3c1c600adde0c219ed7b442be5e89))
* **LAB-748:** move credential type to VC instead of credential subject ([369cce9](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/369cce97cd4b3e195dae509872b0d9e966e279be))
* migrate to jwt-vc jose ([c1d8159](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c1d81596548f9e59dc75e699b4cf0619da7b66fa))

# [2.2.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.1.0...v2.2.0) (2024-05-30)


### Bug Fixes

* add compliance credential type ([c917c14](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c917c14b82de622e6679336b4b76c514296559ea))
* **LAB-629:** remove unused environment variables ([19ded4a](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/19ded4a39b27a02d9bf9491d17953d5e141cc992))


### Features

* cert expiration batch ([80cae4a](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/80cae4a05990b369333e9e8a110c95feae066d9f))
* do not issue vc after cert expiry date ([bf0aa9b](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/bf0aa9bf699dbe582a87377f5cf3b5cd6bfa9664))
* use certificate end date if closer ([7a00a94](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7a00a94f00a9d70168e00f3cc0cc7e322a6403eb))

# [2.1.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v2.0.0...v2.1.0) (2024-04-05)


### Bug Fixes

* **LAB-533:** update JsonWebSignature2020 library ([54fcaea](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/54fcaea87b81d4226e7e91bbc03d41992789dfbb))
* **LAB-534:** make compliance errors less vague ([fccc2a2](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/fccc2a2c85264a55393514c7b23af943b4d0a03b))
* use existing dependency to properly resolve did documents ([ed5674c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ed5674c0591db5ed8bcfafadc5ab8ef4b87424dd))


### Features

* enforce image signature ([8fb8ba5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/8fb8ba5828756f313a00e4592c27c3d7eee440b6))
* **LAB-476:** integrate the JSON Web Signature 2020 library ([99c5470](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/99c54706ec28b510f3e1976757b7b98d92d9d95f))
* **LAB-508:** introduce private key algorithm environment variable ([3d75a30](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/3d75a30e0b205018441460801b39e716cec15688))
* simplify shape URLs ([4f032cd](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/4f032cd4a22937b8dab044df29f162b046eecaf3))

# [2.0.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.10.0...v2.0.0) (2023-11-27)


### chore

* branch-off tagus loire ([e150a0e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e150a0ea32f8c5b63d49ed1c13e76d513c4235df))


### BREAKING CHANGES

* switch to v2

# [1.10.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.9.1...v1.10.0) (2023-11-27)


### Bug Fixes

* **LAB-387:** fix participant and service offering issuer matching ([a51483b](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/a51483b5cf2d51b9adde0d4db56a061003240cf5))


### Features

* **LAB-387:** add label level 1 support ([620ba53](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/620ba532cf62942f0288de71a76aa4e9a4c0448c))
* **LAB-387:** improve N-Quad to RDF entry mapping ([1dbeddf](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1dbeddfd7ac8261c637aa78988ff1faa02df5f96))

## [1.9.1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.9.0...v1.9.1) (2023-11-20)


### Bug Fixes

* allow override ntpServers list ([ecbf4ae](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ecbf4aeb3dff36b8e0f9e148a4d3cf5f7fa0772a)), closes [#61](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/61)

# [1.9.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.8.1...v1.9.0) (2023-10-23)


### Bug Fixes

* get credential atomic types ([91d77b5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/91d77b533d7ab0a8fff01551fe0a54c3a8641f14)), closes [#54](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/54)


### Features

* implement compliance on missing classes ([cdbafd0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/cdbafd02771e6a5e477394d6195afefeb450715c))

## [1.8.1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.8.0...v1.8.1) (2023-10-02)


### Bug Fixes

* cosign is missing in build-tag job ([3d53153](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/3d5315368b33f2a70528a3b0963ecb7de2f3f906))

# [1.8.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.7.1...v1.8.0) (2023-09-29)


### Bug Fixes

* gx compliance credentials invalid ID ([489c398](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/489c398bd58e936ac99a21d624c6c48f13cc7328)), closes [#56](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/56)
* invalid verification method loaded ([746ea6d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/746ea6dcb364ee2f031e2721db10a383fb59ee9f)), closes [#32](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/32)


### Features

* sign containers using cosign ([dfd1194](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/dfd119469dfaad1fbc45f96f9872495b6546657e))

## [1.7.1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.7.0...v1.7.1) (2023-09-12)


### Bug Fixes

* remove nodes from db ([00e48ec](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/00e48ec0c461b1c149471798ae8c082eb2e6697b))

# [1.7.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.6.0...v1.7.0) (2023-09-05)


### Bug Fixes

* improper character for slashes in did ([d467d2d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/d467d2d2185ff977d2487aa3ab43d3a5a25ffd1d))
* try to improve performances ([5f97a6c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/5f97a6c410de221d0505f8a329ce20f53d03ed07))


### Features

* add original credential subject type in gx:compliance ([a25e37d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/a25e37d5b7520e2d38e0fe28fb534eda9a31a4b5))
* use canonicalize for VC hash ([2e705c7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2e705c7529d035d252d19ce46cfd6f97c624b704))

# [1.6.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.5.0...v1.6.0) (2023-08-28)


### Bug Fixes

* add integrity and tf version in normalization ([7b50726](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7b5072696d026ed13b34419bd12b8dd841ed717e))
* add jws2020 context in issued VC ([f599d97](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/f599d97eec48d9845876fc5c5ae8c775192121e1)), closes [#48](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/issues/48)
* display an explicit error on unresolvable DIDs ([0008747](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/00087479179fbd0077316b172dc7f3b9af52f501))
* **LAB-348:** missing key fragment in verification method ([1a2e037](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1a2e03748c8a21cf02a2111108ed6a4d24c9dc2b))
* **TAG-179:** prevent validation avoidance ([3b4a79d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/3b4a79d86ad1b296a804d32710cc0457dae81cd7))


### Features

* add terms and conditions example ([f883555](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/f883555e77ef66e91e0d6610f05e2a2a973f297e))
* check LRN issuers is trusted ([b54c0f9](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/b54c0f9dbefc7c82f22d5a09c7de4ab3cf3acdd8))
* **jwt:** add Verifiable Presentation response in JWT format [TAG-176] ([0292874](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/02928741c7071de30c9c9295599e1caad760c47a))
* **TAG-130:** require issuers to provide ts&cs ([190b677](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/190b677a5a84dbf4badcd02474b196604ad1ce6f))
* **TAG-78:** fetch ntp time for verifiable credentials dates ([e1f8e7a](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e1f8e7a952ba0ee9c0b7135797842ebaf8f8896a))
* update examples ([40625d0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/40625d0845d738c72bd68b6634cb93531daa0d93))

# [1.5.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.4.0...v1.5.0) (2023-07-06)


### Features

* **jwt:** wrap JWT VC into a "vc" claim ([6469d25](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/6469d25ff68dd4e37b54b5ae3ba1e3df78503934))

# [1.4.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.3.0...v1.4.0) (2023-06-22)


### Features

* accept and produce JWT ([ad37950](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ad37950adf693175ff9ea45e3f2a80cfd2557b81))
* set jwt subject from VC id or provider ([5354ba8](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/5354ba8fd90233de74f617175b85342cdcbd83f6))

# [1.3.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.8...v1.3.0) (2023-06-21)


### Features

* publish changelogs on slack ([e9a391e](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e9a391e818a5082c76c7253884bfbe38e9fee6cb))

## [1.2.8](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.7...v1.2.8) (2023-05-24)


### Bug Fixes

* clean up & semantic-release gitlab ([83b4899](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/83b4899283d58162709f26b28754534bb4a214fd))

## [1.2.7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.6...v1.2.7) (2023-05-22)


### Bug Fixes

* update examples after fix on registry ([55b6053](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/55b6053a78764a4d3cc42291e6c9e3318a8e4039))

## [1.2.6](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.5...v1.2.6) (2023-04-27)


### Bug Fixes

* use proper registry url in context of VC ([79c66f7](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/79c66f780680edb86b1c4e97b043d1b8ae15d541))

## [1.2.5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.4...v1.2.5) (2023-04-24)


### Bug Fixes

* do not validate shapes that are not defined in registry ([9cc4018](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/9cc40180b25d31557463852a2b973aa0443d6ff9))

## [1.2.4](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.3...v1.2.4) (2023-04-19)


### Bug Fixes

* expose openapi as JSON file ([1e57b7f](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/1e57b7f5f66544c83c21dc87a72c4812c67a1302))
* expose openapi as JSON file ([4088bf4](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/4088bf4b2fb8ac584bbf42ae6e2405416c60cf9b))
* expose openapi as JSON file ([bfb0ab5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/bfb0ab54de65b6970048d3a0ad97f85b48e3d014))

## [1.2.3](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.2...v1.2.3) (2023-04-18)


### Bug Fixes

* registry_url points to cluster registry ([6617155](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/6617155f537cd12f4e6d32f0421dcb06e4e6b21c))

## [1.2.2](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.1...v1.2.2) (2023-04-17)


### Bug Fixes

* image tags in build-release-tag-image job ([ee33c3f](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ee33c3fbd7fc4be00702be48ece1e66b3d147e02))

## [1.2.1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.2.0...v1.2.1) (2023-04-17)


### Bug Fixes

* skip useless builds & fix release ([e4f0522](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e4f0522e1c2b1993ac9f530518a9a062a9ac4e28))

# [1.2.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.1.0...v1.2.0) (2023-04-17)


### Bug Fixes

* push several tags on each release ([2d64174](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2d641740fdcc22c3dd50eb014a0c034bbe8f8640))


### Features

* allow user to provide VC id in request ([19b4269](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/19b4269df9443a8795c10a866c42992620224652))

# [1.1.0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/compare/v1.0.0...v1.1.0) (2023-04-13)


### Bug Fixes

* atomic type when using array for a single value ([fc6adb1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/fc6adb1e6c7279f541364974ee93527cdfd5fa72))
* fix compliance after participant service offering shape merge ([04ffa82](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/04ffa82ef9585915e4f97eac109f84026bc08761))


### Features

* enable service offering credential offer ([915d918](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/915d918a5b340589fb68e46fc78a730dea65a797))
* fixup code to accept registrationNumber from notary ([721acac](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/721acac1a59aca7166e5bb4c40b5f0368479768a))
* validate global shape of the vp instead of each vc ([0aded61](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/0aded617b1b0a2a95ef5dcb259579311ab0890d7))

# 1.0.0 (2023-03-28)


### Bug Fixes

* add expected type for SDs ([f8cc5d3](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/f8cc5d3f4e9fa818643ea9b2dd11ed061f532309))
* adjust getTermsAndConditions to 2206 ([7b591aa](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/7b591aa9943ab35f9fd81fe8827302d7c8b7ceba))
* adjust import paths ([941eae5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/941eae5da8bf530f2e23634c14c968e075689c4d))
* **content-validation.service:** remove duplicate slash from openCorporateBaseUri ([39abe58](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/39abe58ae8d645f14f1280f542ae07958544e8ff))
* disable not working 3rd party apis ([8476b63](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/8476b631d06f4af4f02f208e4efc0be91b51ad70))
* do not conform when content is false ([2892dca](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2892dca7e1824563a59f672d94c441e6f0361e82))
* enable verificationMethod for development ([a9824fd](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/a9824fd3a3cbe7303583a91f68086c56455952ef))
* env e2e fixture to mock environments ([ce687a1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/ce687a14a1e2dc08c0d1cd674762a1acd2db47ea))
* fix and enable tests ([b6868e0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/b6868e050c89c402ae8df0794dc7b0d643413260))
* invalid self description via url ([234b6f9](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/234b6f9c23b9b9a312625ff176abf2c609d9711e))
* **participant.e2e-spec:** fix tests ([42c328c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/42c328c0112b0c371215966d5e1b81c042755b81))
* **participant.e2e:** increase timeout for tests ([df8b985](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/df8b98583a107e3bc1c4e87a9f8a56efbdc321b9))
* point registry to prod ([48e8923](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/48e892309d28abef4d243f2b31d413379b152bee))
* serve static files from app_path and not only root ([26389c5](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/26389c5858e144929feb50ab54c0c4683e65d69e))
* shacl validation ([acf74f1](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/acf74f1fa979b52b0d50640eea26fa357099e8fb))
* skip test SD with invalid registrationNumber ([910d81c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/910d81ccb07c4f2bda2d30a6faa8cc5c2410d07d))
* skip tests ([e2ec671](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/e2ec671416020a995505a07b49bc1870da7433e4))
* **swagger:** use relative service offering module path ([650eb56](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/650eb5611cfaf75de489e56be82031930fe50ffe))
* typo ([dd04a52](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/dd04a52c8557904c73ba3e9b323fe7095e90f61e))
* use correct context for signature check ([45fa169](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/45fa169eb47b80943a23a87cb9ecac804fa5e995))
* use env var for registry url ([9ee90d0](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/9ee90d02bea0a127e6727828a6d7adb32dc5eb2c))
* use id from did.json to find verificationMethod ([09ded3c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/09ded3c630be092b1ccdb9615afffef89ab2da55))
* **validation:** update property path ([c94e54d](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c94e54d72b8fdccb96df85e0c7f3158919e98a33))


### Features

* adapt joi VC schema to w3c ([b234bfc](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/b234bfc22df6369bbf6fc1a92bfd13bb0950dfc7))
* add .nvmrc ([a850ecb](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/a850ecb2485b9fdf9f0bc02ce1f25ca0134f4933))
* add 2206 test fixtures for sds ([67d033b](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/67d033b5f44ddeec9a579b92a374ed3d0acd18e7))
* add did:web resolver ([c92a066](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c92a066dcdc6158caaa319a08d43d0cc7ff8825f))
* add draft of .well-known static files ([2034827](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/2034827d9b43e0af874faa027bd4425f53cb3fe7))
* add singapore iso3166-2 codes ([c680108](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/c68010878f403fddddfba4802e719ff9e48b585d))
* add verifyParticipant query param ([927c59c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/927c59cf325788ab381d545093affceafc321cd9))
* add version ([94a47ae](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/94a47ae82bfa9013a376e5b7dc62b6993976a6da))
* add version api prefix ([086ff15](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/086ff15282bcca92226b5565190fd28761148b1a))
* change docs path ([08c1070](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/08c10707af63182d82975dbd6ff96cbf5062aae5))
* rework validation ([d580070](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/d58007085a9f43f804d8bce1759c10a56a4cbc0c))
* support validation schema ([32d638b](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/32d638bc52f3d074df0afcf193d36935ad0f1e30))
* **swagger:** enable api versioning ([d9fc30c](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/d9fc30c31096dc5b56a28191bb1dd3f7b4b339d8))
* update links to docs on index page ([16693f8](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/16693f8c1b6ef593d972407cfe07e4282db96194))
* validate sd shape via shacl ([6172826](https://gitlab.com/gaia-x/lab/compliance/gx-compliance/commit/617282638f7825f02ab1061e605b93e9c35376af))
